/*
 Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA
*/

/**
   \file
   \brief   The node recombines the set of partitioned tables into a non-partitioned table.

   \details See macro \link rsk_recombine.sas \endlink for a comprehensive overview of the logic.
           
      This node use the following macro variables generated from platform:
              &LIBPREFIX  The library prefix of the input libraries when appending partitioned tables
              &MAX_RANK   Number of partitions

   <b> Identified Inputs </b>

   \param[in] %tablein=P_MK_OPT.option_instrument_bi_result.sas7bdat                         Input table

   <b> Identified Outputs </b>
   
   \param[out] %tableout=R_MK_OPT.option_instrument_bi_result.sas7bdat                       Output table

   \ingroup nodes

   \author SAS Institute INC.
   \date 2017

 */

%irm_recombine_byn(IN_DS_NM = &TABLEIN,
               LIB_PREFIX = &LIBPREFIX,
               PARTITION_NO= &MAX_RANK,
               O_DS = &TABLEOUT);
