  /*
  Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA
*/
/**
   \file     
   \brief   Macro calculates cardinality for instrument tables based on user-specified number of partitions.
            
   \details Calls macro irm_get_cardinality_byn.sas.
         See macro \link irm_get_cardinality_byn.sas \endlink for a comprehensive overview of the logic.           
    
   <b> Identified Inputs </b>

    \param[in] %IN_DS_PART_BYN=STAGING.cashflows.sas7bdat          Input data set that needs the partition
    \param[in] %IN_BYN_CONF=IRM_CFG.byn_configuration.sas7bdat     Input configuration data set of byN
       
   <b> Identified Outputs </b>

    \param[out] %OUT_CARD_DS_BYN=MK_CARD.card_cashflows_byn.sas7bdat    Output cardinality table.
    
 
    \ingroup nodes
     
    \author  SAS Institute Inc.
    
    \date    2017

    
   */

%irm_get_cardinality_byn (IN_DS=&IN_DS_PART_BYN,
                          IN_BYN=&IN_BYN_CONF,
                          OUT_CARD_DS=&OUT_CARD_DS_BYN
                          );